﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace FlexGridIntro.Models
{
    public class Data
    {
        public string Name { get; set; }

        public string Value1 { get; set; }

        public string Value2 { get; set; }

        public string Value3 { get; set; }

        public string Value4 { get; set; }
    }
    public class Stock
    {
        public string Model { get; set; }
        public int Units { get; set; }
        public int UnitsInStock { get; set; }
        public double SalePrice { get; set; }
        public double CostPrice { get; set; }
        public string CName { get; set; }
        public string CEmail { get; set; }
        public string CPhone { get; set; }

        public static IEnumerable<Stock> GetData()
        {
            return new List<Stock>() {
                new Stock(){ Model="S-S001",Units=10,UnitsInStock=20,SalePrice=154,CostPrice=150,CEmail="alex@gmail.com",CName="Alex",CPhone="997925642"},
                new Stock(){ Model="S-002",Units=9,UnitsInStock=20,SalePrice=165,CostPrice=155,CEmail="bob@gmail.com",CName="Bob",CPhone="60457832"},
                new Stock(){ Model="S-S003",Units=11,UnitsInStock=20,SalePrice=175,CostPrice=155,CEmail="chris@gmail.com",CName="Chris",CPhone="60457985"},
                new Stock(){ Model="S-004",Units=10,UnitsInStock=20,SalePrice=145,CostPrice=125,CEmail="david@gmail.com",CName="David",CPhone="70579852"},
                new Stock(){ Model="S-S005",Units=9,UnitsInStock=20,SalePrice=160,CostPrice=145,CEmail="evan@gmail.com",CName="Evan",CPhone="80798787"},
                new Stock(){ Model="S-006",Units=9,UnitsInStock=20,SalePrice=169,CostPrice=145,CEmail="fred@gmail.com",CName="Fred",CPhone="95878782"},
            }.AsEnumerable<Stock>();
        }
    }
}
