﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Threading.Tasks;

namespace STEPSWeb.Models
{
	public class BaseType
	{
		[Required]
		public int Id { get; set; }

		[Required]
		[Column(TypeName ="bit")]
		public bool IsActive { get; set; }

		[Required]
		[StringLength(50)]
		public string CreatedBy { get; set; }

		[Required]
		[Column(TypeName = "datetime")]
		public DateTime CreatedDate { get; set; }

#nullable enable
		[StringLength(50)]
		public string? ModifiedBy { get; set; }

		
		[Column(TypeName = "datetime")]
		public DateTime? ModifiedDate { get; set; }
#nullable disable

		[Required]
		[StringLength(50)]
		public string RecordModifiedBy { get; set; }
	}
}
