﻿using Microsoft.EntityFrameworkCore.Metadata;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace STEPSWeb.Models
{
	public class EmployeeClassGroup : BaseType, IComparable
	{
		[Required]
		[StringLength(50)]
		public string Name { get; set; }

		public int CompareTo(Object obj)
		{
			EmployeeClassGroup ecg = (EmployeeClassGroup)obj;
			return String.Compare(Name, ecg.Name);
		}
	}

	
}
