﻿using MySql.Data.MySqlClient.Memcached;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Diagnostics.CodeAnalysis;
using System.Linq;
using System.Threading.Tasks;

namespace STEPSWeb.Models
{
	public class EmployeeClassType : BaseType
	{
		[Required]
		[StringLength(50)]
		public string Name { get; set; }

		[Required]
		[StringLength(255)]
		public string Description { get; set; }

#nullable enable
		[AllowNull]
		public Client? Client { get; set; }
#nullable disable

	}
}
