﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Threading.Tasks;

namespace STEPSWeb.Models
{
	public class EmployeeClassDetail : BaseType
	{
		public EmployeeClassType EmployeeClassType { get; set; }

		[Required]
		[StringLength(50)]
		public string ClassificationName { get; set; }

		[Required]
		public decimal CostRate { get; set; }

		[Required]
		public decimal RevenueRate { get; set; }

		[Required]
		public int SortOrder { get; set; }

		[Required]
		public EmployeeClassGroup EmployeeClassGroup { get; set; }
	}
}
